REST API
Infra APIDatabases

Create a database

POST/api/v1/databases

Provisions a managed Postgres database in a Firecracker VM

Authorization

BearerAuth
AuthorizationBearer <token>

Hydra JWT Bearer token

In: header

Request Body

application/json

Database creation parameters

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/databases" \  -H "Content-Type: application/json" \  -d '{}'
{  "client_mode_enabled": true,  "host": "string",  "id": "string",  "name": "string",  "native_credential": {    "credential_generation": 0,    "password": "string"  },  "network_name": "string",  "organization_id": "string",  "project_id": "string",  "token": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}